Before the migration, verify that your environment meets the following requirements.

  • NSX-V versions 6.4.4, 6.4.5, 6.4.6, 6.4.8 and later are supported for all migration modes with the following exceptions:
    • VMware Integrated OpenStack migration supports NSX-V 6.4.11 and later.
    • Cross-vCenter to NSX Federation migration supports NSX-V 6.4.11 and later.
  • See the VMware Product Interoperability Matrices for required versions of vCenter Server and ESXi.
  • The version of ESXi used in your NSX-V environment must be supported by NSX-T.
  • vSphere Distributed Switch versions 6.5.0, 6.6.0, and 7.0 are supported.
  • The NSX-V environment must match the NSX-T system requirements for ESXi, vCenter Server, and vSphere Distributed Switch.
  • DNS must be functioning in the NSX-V environment.
  • If you are migrating VMs that are DHCP servers, you must configure a Segment Security profile appropriately on NSX-T. For more information, see "Create a Segment Security Segment Profile" in the NSX-T Data Center Administration Guide.
  • If your Edge Service Gateways have their MTU setting changed, you must change the global MTU setting in NSX-T. See Change the Global MTU Setting.